AntCompiler.JasperAntLogger (Tomcat API Documentation)
Keywords: org.apache.jasper.compiler.AntCompiler.JasperAntLogger class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class AntCompiler.JasperAntLogger

    java.lang.Object
      org.apache.tools.ant.DefaultLogger
          org.apache.jasper.compiler.AntCompiler.JasperAntLogger

All Implemented Interfaces:
  java.util.EventListener, org.apache.tools.ant.BuildListener, org.apache.tools.ant.BuildLogger

Enclosing class:
  AntCompiler

    public class AntCompiler.JasperAntLogger

extends org.apache.tools.ant.DefaultLogger

Field Summary
`protected java.lang.StringBuffer` | `reportBuf`

Fields inherited from class org.apache.tools.ant.DefaultLogger
`emacsMode, err, LEFT_COLUMN_SIZE, lSep, msgOutputLevel, out`

Constructor Summary
`AntCompiler.JasperAntLogger()`

Method Summary
`protected java.lang.String` | `getReport()`
`protected void` | `log(java.lang.String message)`
`protected void` | `printMessage(java.lang.String message, java.io.PrintStream stream, int priority)`

Methods inherited from class org.apache.tools.ant.DefaultLogger
`buildFinished, buildStarted, extractProjectName, formatTime, getBuildFailedMessage, getBuildSuccessfulMessage, getTimestamp, messageLogged, setEmacsMode, setErrorPrintStream, setMessageOutputLevel, setOutputPrintStream, targetFinished, targetStarted, taskFinished, taskStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### reportBuf

    protected java.lang.StringBuffer reportBuf

Constructor Detail

### AntCompiler.JasperAntLogger

    public AntCompiler.JasperAntLogger()

Method Detail

### printMessage

    protected void printMessage(java.lang.String message,
                                java.io.PrintStream stream,
                                int priority)

  Overrides:
    `printMessage` in class `org.apache.tools.ant.DefaultLogger`

### log

    protected void log(java.lang.String message)

  Overrides:
    `log` in class `org.apache.tools.ant.DefaultLogger`

### getReport

    protected java.lang.String getReport()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.